EDIT - bug #7378

doubtful in misapplied names incorrect
04/27/2018 10:42 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: major Found in Version:

Description

according to #6390#note-13 the doubtful flag in the misapplied name view should be bound to the TaxonRelationship doubtufl flag,
NOT to the taxon doubtful flag.

It is not quite clear if we additionally want the taxon doubtful flag being displayed and editable. If yes, we could

1. relabel the current flag to "Orginal taxon doubtful”
2. Add a new flag below misapplied detail, bind it to TaxonRelationship.doubtful and label it "Misappl. Doubtful"

otherwise just bind it new and move it down below misapplied detail

Related issues:
Related to EDIT - feature request #6390: Details view for misapplied names Closed
Related to EDIT - bug #6962: Finally remaining issues for misapplied name det... New

Associated revisions

Revision 414297cd - 04/27/2018 11:55 AM - Katja Luther

fix #7378: add taxon doubtful and relationship doubtful checkbox to misapplied name details view

Revision 4a355ac7 - 05/03/2018 11:32 AM - Katja Luther

fix #7378: rename misapplication doubtful label

History

#1 - 04/27/2018 10:43 AM - Andreas Miiller

- Related to feature request #6390: Details view for misapplied names added

#2 - 04/27/2018 10:45 AM - Andreas Miiller

- Related to bug #6962: Finally remaining issues for misapplied name details view added

#3 - 04/27/2018 11:55 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|4f4297cd5aebff28bcdb703dbbec45d372ff2a86.

#4 - 04/27/2018 11:55 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

please review

#5 - 04/27/2018 01:29 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Functionality works now.
https://dev.e-taxonomy.eu/redmine/issues/6390#note-13
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/4f4297cd5aebff28bcdb703dbbec45d372ff2a86

However, | would keep the old label "Misappl. Doubtful”, as users might not know what is meant by "Relation".

#6 - 05/03/2018 11:32 AM - Katja Luther

- Status changed from Feedback to Resolved

Applied in changeset taxeditor|4a355ac75a01e034cc6calee0d527f032bf46ea7.

#7 - 05/03/2018 11:33 AM - Katja Luther
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

changed the label and close the ticket.
